diff -r b43985308e3e sys/src/mkfile
--- a/sys/src/mkfile	Fri May 01 13:29:08 2020 -0700
+++ b/sys/src/mkfile	Fri May 01 18:18:42 2020 -0500
@@ -50,7 +50,7 @@
 none:VQ:
 	echo mk all, install, clean, nuke, release, kernels, or libs
 
-all install clean nuke:VQ:
+all clean nuke:VQ:
 	date
 	for (i in $LIBS $SUBSYS $CMDS) @{
 		cd $i
@@ -58,8 +58,27 @@
 	}
 	date
 
+install:VQ:
+	date
+	if(~ $objtype spim 68000) {
+		echo $objtype architecture unsupported.
+		exit
+	}
+	for (i in libc libbio libstdio cmd/$O^(c a l) cmd/cpp) @{
+		cd $i
+		mk clean
+		mk install
+		mk clean
+	}
+	for (i in $LIBS $SUBSYS $CMDS) @{
+		cd $i
+		mk install
+	}
+	date
+
 installall:V:
-	echo "installall not supported"
+	for (objtype in $CPUS)
+		mk install
 
 release:V:
 	mk nuke
@@ -91,9 +110,3 @@
 		cd $i
 		mk clean
 	}
-
-updatelibs:V:
-	for (i in $LIBS) @{
-		cd $i
-		mk update
-	}

